Bug 728393 - /usr/bin/xsubpp should be part of perl-ExtUtils-ParseXS rather than perl-devel
Summary: /usr/bin/xsubpp should be part of perl-ExtUtils-ParseXS rather than perl-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-04 23:11 UTC by Paul Howarth
Modified: 2011-11-25 02:08 UTC (History)
9 users (show)

Fixed In Version: perl-5.12.4-148.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-10 03:25:24 UTC


Attachments (Terms of Use)

Description Paul Howarth 2011-08-04 23:11:26 UTC
I created a local dual-life package of perl-ExtUtils-ParseXS 3.01; unlike previous 2.x versions, 3.01 puts xsubpp in /usr/bin where it now conflicts with perl-devel:

Transaction Check Error:
  file /usr/bin/xsubpp from install of perl-ExtUtils-ParseXS-1:3.01-1.fc15.noarch conflicts with file from package perl-devel-4:5.12.4-159.fc15.x86_64
  file /usr/share/man/man1/xsubpp.1.gz from install of perl-ExtUtils-ParseXS-1:3.01-1.fc15.noarch conflicts with file from package perl-devel-4:5.12.4-159.fc15.x86_64

I believe /usr/bin/xsubpp (and its manpage) should be moved to the perl-ExtUtils-ParseXS subpackage for consistency, and possibly add that as a dependency of perl-devel to ensure that it's installed with perl-devel.

Comment 1 Fedora Update System 2011-08-05 09:20:36 UTC
perl-5.14.1-185.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-5.14.1-185.fc16

Comment 2 Fedora Update System 2011-08-05 09:36:42 UTC
perl-5.12.4-160.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-5.12.4-160.fc15

Comment 3 Fedora Update System 2011-08-05 20:07:01 UTC
Package perl-5.14.1-185.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-5.14.1-185.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-5.14.1-185.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-08-10 03:25:19 UTC
perl-5.12.4-160.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2011-08-22 15:13:08 UTC
perl-5.14.1-185.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-11-04 16:33:23 UTC
perl-5.12.4-148.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-5.12.4-148.fc14

Comment 7 Fedora Update System 2011-11-25 02:08:51 UTC
perl-5.12.4-148.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.